﻿using Hotline.Share.Enums.Snapshot;
using Hotline.Share.Requests;
using Hotline.Share.Tools;
using System.ComponentModel.DataAnnotations;

namespace Hotline.Share.Dtos.Snapshot;
public class RedPackOutDto 
{ 
    public string Title { get; set; }    
    public DateTime CreationTime { get; set; }
    public string CreationTimeText => CreationTime.ToString("yyyy-MM-dd HH:mm:ss");

    /// <summary>
    /// 金额(单位:元)
    /// </summary>
    public string AmountTxt => Amount.ToYuanFinance();

    /// <summary>
    /// 金额(单位:元)
    /// </summary>
    public double Amount { get; set; }
}

public class RedPacksInDto : QueryFixedDto
{ 
    /// <summary>
    /// 时间; 格式:yyyy-MM
    /// </summary>
    [Required]
    public string Time { get; set; } = DateTime.Now.ToString("yyyy-MM");

    /// <summary>
    /// 红包状态
    /// </summary>
    public ERedPackPickupStatus Status { get; set; }
}

public class RedPackDateInDto : QueryFixedDto
{
    /// <summary>
    /// 红包状态
    /// </summary>
    public ERedPackPickupStatus Status { get; set; }
}

public class RedPackDateOutDto
{ 
    /// <summary>
    /// 时间
    /// </summary>
    public DateTime CreationTime { get; set; }

    public string CreationTimeText => CreationTime.ToString("yyyy-MM");

    /// <summary>
    /// 金额(单位:元)
    /// </summary>
    public double Amount { get; set; }

    /// <summary>
    /// 金额(单位:元)
    /// </summary>
    public string AmountTxt => Amount.ToYuanFinance();
}

