﻿using Hotline.Settings;
using Hotline.Share.Dtos.Settings;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Caching.Interfaces
{
    public interface ISystemDicDataCacheManager
    {
        IReadOnlyList<SystemDicData> GetSysDicDataCache(string code);
        IReadOnlyList<SystemDicData> GetVisitSatisfaction();
        void RemoveSysDicDataCache(string code);
        IReadOnlyList<SystemDicData> AcceptType { get; }
        IReadOnlyList<SystemDicData> LeaderSMS { get; }

        IReadOnlyList<SystemDicData> CallForwardingSource { get; }

        /// <summary>
        /// 作业场所
        /// </summary>
        IReadOnlyList<SystemDicDataOutDto> Workplace { get; }

        /// <summary>
        /// 作业场所名称
        /// </summary>
        IReadOnlyList<SystemDicDataOutDto> WorkplaceName { get; }

        /// <summary>
        /// 作业类型
        /// </summary>
        IReadOnlyList<SystemDicDataOutDto> JobType { get; }

        /// <summary>
        /// 经营单位类型
        /// </summary>
        IReadOnlyList<SystemDicDataOutDto> BusinessUnitType { get; }

        /// <summary>
        /// 公告类型
        /// </summary>
        IReadOnlyList<SystemDicData> BulletinType { get; }

        /// <summary>
        /// 随手拍公告类型
        /// </summary>
        IReadOnlyList<SystemDicDataOutDto> SnapshotBulletinType { get; }
        IReadOnlyList<SystemDicDataOutDto> WorkArea { get; }
        IReadOnlyList<SystemDicData> VisitMananer { get; }
        IReadOnlyList<SystemDicData> SourceChannel { get; }

        /// <summary>
        /// 自贡随手拍行业审批部门
        /// </summary>
        IReadOnlyCollection<SystemDicDataOutDto> SnapshotDepartment { get; }

        /// <summary>
        /// 随手拍公告来源
        /// </summary>
        IReadOnlyCollection<SystemDicDataOutDto> SnapshotBulletinSource { get; }

        /// <summary>
        /// 随手拍行业配置金额
        /// </summary>
        IReadOnlyCollection<SystemDicDataOutDto> IndustryConfigAmount { get; }
    }
}
