﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.Snapshot;

/// <summary>
/// 小程序公开工单
/// </summary>
[Description("小程序公开工单")]
public class SnapshotOrderPublish : FullStateEntity
{
    public string OrderId { get; set; }

    /// <summary>
    /// 行业Id
    /// </summary>
    public string IndustryId { get; set; }

    /// <summary>
    /// 行业名称
    /// </summary>
    public string IndustryName { get; set; }

    /// <summary>
    /// 工单编码
    /// </summary>
    public string No { get; set; }

    /// <summary>
    /// 整理标题
    /// </summary>
    public string ArrangeTitle { get; set; }

    /// <summary>
    /// 整理内容
    /// </summary>
    [SugarColumn(ColumnDataType = "varchar(8000)")]
    public string ArrangeContent { get; set; }

    /// <summary>
    /// 整理结果
    /// </summary>
    [SugarColumn(ColumnDataType = "varchar(8000)")]
    public string ArrangeOpinion { get; set; }

    /// <summary>
    /// 受理时间
    /// </summary>
    public DateTime HandleTime { get; set; }

    /// <summary>
    /// 整理地点
    /// </summary>
    public string Address { get; set; }
}
